from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.text import XTextField

@runtime_checkable
class XDependentTextField(XTextField, Protocol):
    def getTextFieldMaster(self) -> XPropertySet: ...
